## audit 2.3.7

=== debian/changelog ===
audit (1:2.3.7-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sat, 14 Jun 2014 14:02:55 +0200

audit (1:2.3.6-1) unstable; urgency=medium

  * New upstream release
    - debian/rules: Rename --with-armeb flag to --with-arm, changed upstream
    - Adjust debian/libaudit1.symbols file: Add audit_determine_machine()
  * debian/rules: Include aarch64 support on arm64 architecture, we will build
    with it on all architectures when it will be an official port

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Apr 2014 15:23:21 +0200

audit (1:2.3.4-1) unstable; urgency=medium

  * New upstream release
    - Adjust debian/libauparse0.symbols: Add a new symbol
  * Adopt the audit package (Closes: #692492)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 01 Mar 2014 18:52:55 +0100

audit (1:2.3.3-4) unstable; urgency=low

  * QA upload
  * desactivated patch "build-on-hppa" since the package still doesn't
    build on hppa, and since upstream is reluctant to integrate the patch.

 -- Ralf Treinen <treinen@debian.org>  Mon, 27 Jan 2014 09:15:07 +0100

audit (1:2.3.3-3) unstable; urgency=low

  * QA upload
  * fix pathnames of patches files in debian/patches/build-on-hppa

 -- Ralf Treinen <treinen@debian.org>  Mon, 20 Jan 2014 21:21:32 +0100

audit (1:2.3.3-2) unstable; urgency=low

  * QA upload
  * Enable compilation on hppa (closes: 735944). Thanks to Helge Deller!  
    - patch build-on-hppa
    - debian/rules: configure --with-hppa on hppa architecture

 -- Ralf Treinen <treinen@debian.org>  Sun, 19 Jan 2014 13:25:25 +0100

audit (1:2.3.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
    - Adjust debian/libauparse0.symbols

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Jan 2014 18:23:26 +0100

audit (1:2.3.2-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Relax the libaudit1 dependency against libaudit-common in
    case the soname gets bumped again (Closes: #721361)
  * debian/auditd.README.Debian: Rewrite the part on how enabling augenrules
    on systemd systems without copying the complete unit file.
  * debian/control: Mark -dev packages as Multi-arch: same (Closes: #731291)
  * debian/control: Add dependency against "mawk | gawk" for augenrules
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Dec 2013 14:12:17 +0100
