## audit 2.4

=== debian/changelog ===
audit (1:2.4-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-no-refusemanualstop.patch: Refreshed
    - Adjust the .symbols files

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Sep 2014 16:57:08 +0200
