=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: audit
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-systemd (>= 1.4),
@@ -13,9 +12,10 @@
                libkrb5-dev,
                libldap2-dev,
                libprelude-dev,
+               libwrap0-dev,
                python-all-dev (>= 2.6.6-3~),
                swig
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://people.redhat.com/sgrubb/audit/
 Vcs-Git: git://anonscm.debian.org/collab-maint/audit.git
@@ -25,7 +25,7 @@
 Package: auditd
 Section: admin
 Architecture: linux-any
-Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
+Depends: lsb-base (>= 3.0-6), mawk | gawk, ${misc:Depends}, ${shlibs:Depends}
 Suggests: audispd-plugins
 Description: User space tools for security auditing
  The audit package contains the user space utilities for
@@ -55,6 +55,7 @@
 Depends: libauparse0 (= ${binary:Version}), ${misc:Depends}
 Breaks: libaudit-dev (<< 1:2.2.1-2)
 Replaces: libaudit-dev (<< 1:2.2.1-2)
+Multi-arch: same
 Description: Header files and static library for the libauparse0 library
  The audit-libs parse package contains the dynamic libraries needed for
  applications to use the audit framework. It is used to monitor systems for
@@ -64,7 +65,7 @@
 Architecture: linux-any
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libaudit-common (= ${source:Version}),
+Depends: libaudit-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
@@ -92,6 +93,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libaudit1 (= ${binary:Version}), ${misc:Depends}
+Multi-arch: same
 Description: Header files and static library for security auditing
  The audit-libs-devel package contains the static libraries and header
  files needed for developing applications that need to use the audit
