=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,14 @@
 PYVERS := $(shell pyversions --requested --version debian/control)                                                                             
 PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) # $(PYDEFAULTVER)
 
+ifeq ($(DEB_HOST_ARCH),arm64)
+  EXTRA_ARCH_TABLE := --with-aarch64
+endif
 ifeq ($(DEB_HOST_ARCH),alpha)
   EXTRA_ARCH_TABLE := --with-alpha
+endif
+ifeq ($(DEB_HOST_ARCH),hppa)
+  EXTRA_ARCH_TABLE := --with-hppa
 endif
 
 %:
@@ -28,11 +34,11 @@
 		--libdir=/lib/${DEB_HOST_MULTIARCH} \
 		--enable-shared=audit \
 		--enable-gssapi-krb5 \
-                --disable-listener \
 		--with-apparmor \
 		--with-prelude \
+		--with-libwrap \
 		--with-libcap-ng \
-		--with-armeb ${EXTRA_ARCH_TABLE}
+		--with-arm ${EXTRA_ARCH_TABLE}
 	touch $@
 debian/config-python%-stamp: debian/config-python-stamp
 	cp -lpr debian/build/swig            debian/build/swig.$*
