## audit 2.4.5

=== debian/changelog ===
audit (1:2.4.5-1ubuntu2.1) xenial; urgency=medium

  * debian/patches/02-print-loginuid-in-login-report.patch: Display the
    loginuid when using aureport to display a login report (LP: #1724152)

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 17 Oct 2017 20:03:34 +0000

audit (1:2.4.5-1ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:29 +0000

audit (1:2.4.5-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/auditd.init: The start command now requires $remote_fs to be
      started because it may call /bin/augenrules, which depends on
      /usr/bin/awk. $PATH must also be updated so that augenrules can find
      awk.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jan 2016 17:07:39 -0800

audit (1:2.4.5-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS when building arch-independent packages (Closes: #805996)
  * debian/libaudit-dev.install: Install audit.m4 file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 26 Dec 2015 02:52:39 +0100

audit (1:2.4.4-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/auditd.init: The start command now requires $remote_fs to be
      started because it may call /bin/augenrules, which depends on
      /usr/bin/awk. $PATH must also be updated so that augenrules can find
      awk.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2015 11:22:43 -0700

audit (1:2.4.4-4) unstable; urgency=medium

  * Build python3 bindings for all python3 versions (Closes: #800117)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 Oct 2015 15:10:41 +0200

audit (1:2.4.4-3) unstable; urgency=medium

  * debian/control: Move golang-go to Build-Depends-Indep, it's only needed
    for an arch:all package and not available on all architectures

 -- Laurent Bigonville <bigon@debian.org>  Thu, 17 Sep 2015 17:06:38 +0200

audit (1:2.4.4-2) unstable; urgency=medium

  * Start building the golang binding
  * Start building python3 binding package

 -- Laurent Bigonville <bigon@debian.org>  Wed, 09 Sep 2015 02:36:55 +0200

audit (1:2.4.4-1) unstable; urgency=medium

  * New upstream release
    - Fix log terminal emulator escape sequences handling (Closes: #795457
      CVE-2015-5186)
    - Internal libev updated to 4.20, this should fix the clang FTBFS (Closes:
      #787066)
    - debian/libauparse0.symbols: Adjust the symbols file
  * Install .pc files in the respective -dev packages
  * debian/control: Explicitly build-depends against dh-python
  * debian/rules: Unconditionally enable Aarch64 processor support now that
    it's an official port.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 24 Aug 2015 23:29:11 +0200

audit (1:2.4.2-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/auditd.init: The start command now requires $remote_fs to be
      started because it may call /bin/augenrules, which depends on
      /usr/bin/awk. $PATH must also be updated so that augenrules can find
      awk.
  * Dropped changes, included upstream:
    - Backport ppc64el support changeset
  * Re-add build-dependency on libwrap; it's only used by the listener so
    it's a spurious build-dependency in Ubuntu, but nothing we need to carry
    a delta for since libwrap is in main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 12:43:25 -0700

audit (1:2.4.2-1) unstable; urgency=medium

  * New upstream release
    - Adjust the .symbols files
  * debian/watch: Fix URL to download the proper tarball
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jun 2015 00:09:09 +0200

audit (1:2.3.7-1ubuntu3) wily; urgency=medium

  * No-change rebuild against libprelude2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 23:26:20 +0000

audit (1:2.3.7-1ubuntu2) vivid; urgency=medium

  * Backport ppc64el support changeset from upstream (LP: #1410522)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 21 Apr 2015 11:15:01 +0100

audit (1:2.3.7-1ubuntu1) utopic; urgency=medium

  * Merge from Debian testing (LP: #1357387). Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/control, debian/rules: Remove libwrap0-dev Build-Dependency and
      --with-libwrap configure argument since libwrap is only used by the
      auditd network listener
    - debian/auditd.init: The start command now requires $remote_fs to be
      started because it may call /bin/augenrules, which depends on
      /usr/bin/awk. $PATH must also be updated so that augenrules can find
      awk.
  * Dropped changes:
    - debian/auditd.preinst, debian/auditd.postinst, debian/auditd.postrm:
      Migrate from the Ubuntu-specific way of providing a rules directory
      (/etc/audit/rules.d/) to the new, upstream rules directory feature based
      on /sbin/augenrules. This migration logic was present in the 14.04 LTS
      and can now be dropped because all supported upgrade paths will include
      the 14.04 LTS package.

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 03 Oct 2014 13:06:42 +0100
