=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: audit
 Priority: extra
-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-systemd (>= 1.4),
+               dh-python,
+               dh-golang,
                dpkg-dev (>= 1.16.1~),
                intltool,
                libcap-ng-dev,
@@ -14,13 +17,16 @@
                libprelude-dev,
                libwrap0-dev,
                python-all-dev (>= 2.6.6-3~),
+               python3-all-dev,
                swig
-Standards-Version: 3.9.5
+Build-Depends-Indep: golang-go
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://people.redhat.com/sgrubb/audit/
 Vcs-Git: git://anonscm.debian.org/collab-maint/audit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/audit.git
 X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 
 Package: auditd
 Section: admin
@@ -109,6 +115,27 @@
  are used to monitor systems for security related events. Python can be used to
  parse and process the security event messages.
 
+Package: python3-audit
+Section: python
+Architecture: linux-any
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Provides: ${python3:Provides}
+Description: Python3 bindings for security auditing
+ The package contains the Python3 bindings for libaudit and libauparse, which
+ are used to monitor systems for security related events. Python can be used to
+ parse and process the security event messages.
+
+Package: golang-redhat-audit-dev
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}
+Built-Using: ${misc:Built-Using}
+Description: Go client bindings for the libaudit library
+ The package contains the Go bindings to libaudit that only allows for logging
+ audit events.
+ .
+ This package contains the source.
+
 Package: audispd-plugins
 Section: admin
 Architecture: linux-any
