## audit 2.5.2

=== debian/changelog ===
audit (1:2.5.2-1) unstable; urgency=medium

  * New upstream release
    - Adjust the .symbols files, the dropped symbols were never part of the
      public API
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/auditd.default, debian/auditd.init: With this version, the
    systemd service file generates the audit.rules file before starting the
    daemon. Modify the LSB script to match the behaviour. (Closes: #729704)
  * debian/auditd.examples, debian/rules: The examples files have moved to a
    rules/ directory, install the full directory.
  * debian/rules: Remove the --with=golang flag to dh call, this seems useless
    as the build system already takes care of the go binding and the package
    FTBFS because of this (Closes: #823427)
  * debian/auditd.lintian-overrides: $remote_fs is not needed in the stop
    action, this is only needed for augenrules used in the start one.
  * debian/rules: Install the default configuration, the build system is not
    doing that for us anymore.
  * debian/auditd.postrm: Also remove /etc/audit/audit.rules.prev on purge,
    the file is generated by the augenrules tool.
  * debian/rules: Use https for Vcs-* and Homepage URL's
  * debian/auditd.postinst: Call augenrules instead of manually copying the
    configuration file on initial install.
  * debian/auditd.README.Debian, debian/auditd.NEWS: Update the instructions
    now that augenrules is used by default.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 05 May 2016 15:49:29 +0200
