=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: audit
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-systemd (>= 1.4),
                dh-python,
-               dh-golang,
+#               dh-golang,
                dpkg-dev (>= 1.16.1~),
                intltool,
                libcap-ng-dev,
@@ -20,11 +19,11 @@
                python3-all-dev,
                swig
 Build-Depends-Indep: golang-go
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
-Homepage: http://people.redhat.com/sgrubb/audit/
-Vcs-Git: git://anonscm.debian.org/collab-maint/audit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/audit.git
+Homepage: https://people.redhat.com/sgrubb/audit/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/audit.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/audit.git
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
