=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 
 %:
-	dh $@ --builddirectory=debian/build --buildsystem=autoconf --with autoreconf --with python2 --with python3 --with systemd --with golang
+	dh $@ --builddirectory=debian/build --buildsystem=autoconf --with autoreconf --with python2 --with python3 --with systemd #--with golang
 
 override_dh_auto_configure: debian/config-python-stamp $(PYVERS:%=debian/config-python%-stamp) $(PY3VERS:%=debian/config-python3-%-stamp)
 debian/config-python-stamp:
@@ -36,7 +36,6 @@
 		--libdir=/lib/${DEB_HOST_MULTIARCH} \
 		--enable-shared=audit \
 		--enable-gssapi-krb5 \
-		--disable-listener \
 		--with-apparmor \
 		--with-prelude \
 		--with-libwrap \
@@ -97,6 +96,10 @@
 	$(RM) debian/tmp/lib/${DEB_HOST_MULTIARCH}/libaudit.so
 	$(RM) debian/tmp/lib/${DEB_HOST_MULTIARCH}/libauparse.so
 
+	# Install the default configuration
+	install -o root -g root -m 0750 -d debian/tmp/etc/audit/rules.d/
+	install -o root -g root -m 0640 rules/10-base-config.rules debian/tmp/etc/audit/rules.d/audit.rules
+
 	mkdir -p debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/
 
 	ln -s /lib/${DEB_HOST_MULTIARCH}/libaudit.so.1.0.0 \
@@ -119,6 +122,9 @@
 override_dh_install:
 	dh_install --list-missing
 
+override_dh_installexamples:
+	dh_installexamples -XMakefile
+
 override_dh_installlogrotate:
 	# auditd has a equivalent built-in feature
