## audit 2.6.5

=== debian/changelog ===
audit (1:2.6.5-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - Fix crash when starting the daemon (Closes: #830244)
    - Fix linking order between libaudit and libcap-ng (Closes: #829500)
  * debian/copyright: Add myself to the copyright file

  [ Nicolas Braud-Santoni ]
  * debian/copyright: Make a DEP5-compliant, parseable file

 -- Laurent Bigonville <bigon@debian.org>  Fri, 15 Jul 2016 11:25:41 +0200

audit (1:2.6.3-1) unstable; urgency=medium

  * New upstream release
    - Save and restore libcap-ng state when doing a capability check (Closes:
      #829677)
    - Add explicit dependency against libcap-ng-dev (Closes: #829500)
  * debian/auditd.lintian-overrides: Add override for permissions of the
    /etc/audit/audit-stop.rules file
  * debian/auditd.default, debian/auditd.init: Merge AUDITD_CLEAN_STOP and
    AUDITD_STOP_DISABLE together and use the new upstream rules file
    (/etc/audit/audit-stop.rules) to clean the rules when stopping the daemon.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Jul 2016 22:31:27 +0200

audit (1:2.6.1-1) unstable; urgency=medium

  * New upstream release
    - debian/*.symbols: Add new exported symbols
  * debian/rules: Enable all hardening flags
  * debian/gbp.conf: Rename [git-buildpackage] section to [buildpackage]

 -- Laurent Bigonville <bigon@debian.org>  Wed, 29 Jun 2016 07:25:02 +0200
