## audit 2.6.6

=== debian/changelog ===
audit (1:2.6.6-1ubuntu1.1) zesty; urgency=medium

  * debian/patches/02-print-loginuid-in-login-report.patch: Display the
    loginuid when using aureport to display a login report (LP: #1724152)

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 17 Oct 2017 20:00:47 +0000

audit (1:2.6.6-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2016 14:37:46 +0200

audit (1:2.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 15 Aug 2016 13:43:06 +0200

audit (1:2.6.5-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Aug 2016 13:54:52 +0200
