## audit 2.6.7

=== debian/changelog ===
audit (1:2.6.7-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/patches/03-fix-segfault-sock.patch: Fix ausearch segfault caused by
    some audit messages (Closes: #859120)

  [ Helmut Grohne ]
  * Fix FTCBFS: Cross compatibe python Build-Depends (Closes: #840896)
  * Add support for the nopython build profile (Closes: #840262)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 12 Apr 2017 18:17:21 +0200

audit (1:2.6.7-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/02-restorecon-path.patch: Fix restorecon path
    - debian/libauparse0.symbols: Drop au_terminate_all_events symbol, it was
      never part of the public API
  * debian/*.symbols: Add the Build-Depends-Package field

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Sep 2016 22:44:56 +0200
