=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-systemd (>= 1.4),
-               dh-python,
+               dh-python <!nopython>,
 #               dh-golang,
                dpkg-dev (>= 1.16.1~),
                intltool,
@@ -15,8 +15,10 @@
                libldap2-dev,
                libprelude-dev,
                libwrap0-dev,
-               python-all-dev (>= 2.6.6-3~),
-               python3-all-dev,
+               python-all-dev:any (>= 2.6.6-3~) <!nopython>,
+               libpython-all-dev (>= 2.6.6-3~) <!nopython>,
+               python3-all-dev:any <!nopython>,
+               libpython3-all-dev <!nopython>,
                swig
 Build-Depends-Indep: golang-go
 Standards-Version: 3.9.8
@@ -109,6 +111,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
+Build-Profiles: <!nopython>
 Description: Python bindings for security auditing
  The package contains the Python bindings for libaudit and libauparse, which
  are used to monitor systems for security related events. Python can be used to
@@ -119,6 +122,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
+Build-Profiles: <!nopython>
 Description: Python3 bindings for security auditing
  The package contains the Python3 bindings for libaudit and libauparse, which
  are used to monitor systems for security related events. Python can be used to
