=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
-include /usr/share/python/python.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+include /usr/share/dpkg/architecture.mk
 
 LDFLAGS += -Wl,--as-needed
+DH_ADDONS = --with autoreconf --with systemd
+CONFIGURE_FLAGS =
 
+ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
+include /usr/share/python/python.mk
 # For building bindings/swig/ and bindings/python/ for all Python version, these directories are cloned and build in addition to the main library
 PYDEFAULTVER := $(shell pyversions --default --version)                                                                                        
 PYVERS := $(shell pyversions --requested --version debian/control)                                                                             
@@ -16,6 +17,11 @@
 PY3DEFAULTVER := $(shell py3versions --default --version)
 PY3VERS := $(shell py3versions --requested --version debian/control)
 PY3VERS := $(filter-out $(PY3DEFAULTVER), $(PY3VERS))
+CONFIGURE_FLAGS += --with-python --with-python3
+DH_ADDONS += --with python2 --with python3
+else
+CONFIGURE_FLAGS += --without-python --without-python3
+endif
 
 ifeq ($(DEB_HOST_ARCH),alpha)
   EXTRA_ARCH_TABLE := --with-alpha
@@ -25,7 +31,7 @@
 endif
 
 %:
-	dh $@ --builddirectory=debian/build --buildsystem=autoconf --with autoreconf --with python2 --with python3 --with systemd #--with golang
+	dh $@ --builddirectory=debian/build --buildsystem=autoconf $(DH_ADDONS)
 
 override_dh_auto_configure: debian/config-python-stamp $(PYVERS:%=debian/config-python%-stamp) $(PY3VERS:%=debian/config-python3-%-stamp)
 debian/config-python-stamp:
@@ -41,8 +47,7 @@
 		--with-prelude \
 		--with-libwrap \
 		--with-libcap-ng \
-		--with-python \
-		--with-python3 \
+		$(CONFIGURE_FLAGS) \
 		--with-arm --with-aarch64 ${EXTRA_ARCH_TABLE}
 	touch $@
 debian/config-python%-stamp: debian/config-python-stamp
